%define name acpi
%define version 0.07
%define release 4mdk

Summary: Displays information on ACPI devices
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: acpi.init
Patch1: acpi-0.07-on_ac_power.patch.bz2
License: GPL
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://grahame.ucc.asn.au/acpi.shtml
Prereq: rpm-helper
Requires: dmidecode

%description
Attempts to replicate the functionality of the 'old' apm command on
ACPI systems, including battery and thermal information.

%prep
%setup -q
%patch1 -p1 -b .on_ac_power

%build
%configure2_5x
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -d -m755 $RPM_BUILD_ROOT/%{_mandir}/man1/
install -D -m755 %{SOURCE1} $RPM_BUILD_ROOT/%_initrddir/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %{name}

%preun
%_preun_service  %{name}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%config(noreplace) %attr(755,root,root) %_initrddir/%{name}
%{_bindir}/*

%changelog
* Tue Aug 24 2004 Erwan Velu <erwan@mandrakesoft.com> 0.07-4mdk
- Changing dectection procedure to load _acpi modules. Some were not detected.
- Now using dmidecode instead of cat /proc/acpi/dsdt

* Fri Jun 18 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.07-3mdk
- load *_acpi modules when needed

* Fri Feb 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.07-2mdk
- add a reload entry to the init script
- remove broken symlink
- gprintify source1 by hand to fix bug #5637

* Mon Feb 02 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.07-1mdk
- 0.07.

* Fri Aug 29 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.6-9mdk
- don't report an error on startup if acpi isn't present

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.6-8mdk
- fix gcc-3.3 patch (P2)

* Tue Jul 15 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.6-7mdk
- drop Prefix tag
- fix gcc-3.3 build (P2)

* Thu May 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-6mdk
- init service: cosmetic fixes (andrey borsenkow)

* Fri Mar  7 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6-5mdk
- touch/rm /var/lock/ when stop/start.

* Fri Feb 28 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.6-4mdk
- load button module in init script

* Mon Feb 24 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6-3mdk
- Add init files to load modules.

* Tue Feb  4 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6-2mdk
- Rpmlint's stuff.
- Add on_ac_power patch to make it a behavior kind of like on_ac_power
  of apm.

* Tue Feb  4 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6-1mdk
- First packaging.


# end of file
